## net.i2p.client.naming
Class PetNameDB

    java.lang.Object
      net.i2p.client.naming.PetNameDB

    public class PetNameDB

extends Object

deprecated unused but can be instantiated through I2PAppContext

Constructor Summary
`PetNameDB()`

Method Summary
`void` `add(PetName pn)`
`void` `clear()`
`boolean` `contains(PetName pn)`
`boolean` `containsName(String name)`
`PetName` `getByLocation(String location)`
`PetName` `getByName(String name)`
`List` `getGroups()`
`Set` `getNames()`
`boolean` `isEmpty()`
`Iterator` `iterator()`
`void` `load(String location)`
`void` `remove(PetName pn)`
`void` `removeName(String name)`
`int` `size()`
`void` `store()`
`void` `store(String location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PetNameDB

    public PetNameDB()

Method Detail

### getByName

    public PetName getByName(String name)

### add

    public void add(PetName pn)

### clear

    public void clear()

### contains

    public boolean contains(PetName pn)

### containsName

    public boolean containsName(String name)

### isEmpty

    public boolean isEmpty()

### iterator

    public Iterator iterator()

### remove

    public void remove(PetName pn)

### removeName

    public void removeName(String name)

### size

    public int size()

### getNames

    public Set getNames()

### getGroups

    public List getGroups()

### getByLocation

    public PetName getByLocation(String location)

### load

    public void load(String location)
              throws IOException

  Throws:
    `IOException`

### store

    public void store(String location)
               throws IOException

  Throws:
    `IOException`

### store

    public void store()
               throws IOException

  Throws:
    `IOException`